Page MenuHomePhabricator

mandatory is not recognized when input type=tree (Page Forms 4.1)
Closed, ResolvedPublic

Description

{| class="formtable"
! Editor: 
| {{{field|Editor|mandatory}}}
|-
! Context:  
| {{{field|Context|input type=tree|structure={{SomeTemplateWithTreeStructure}}|mandatory }}}
|}

Leaving field Editor empty doesn’t allow to save page, not selecting a value for field Context is not stopping the page to be saved.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2017, 11:49 PM
PeterBodifee renamed this task from mandatory is not recognized when input type=tree to mandatory is not recognized when input type=tree (Page Forms 4.1).Mar 8 2017, 11:50 PM
PeterBodifee updated the task description. (Show Details)
Yaron_Koren closed this task as Resolved.Mar 9 2017, 2:41 AM
Yaron_Koren claimed this task.
Yaron_Koren added a subscriber: Yaron_Koren.

I believe this is now fixed! Sorry about the problem. And feel free to re-open if not.

Thanks Yoran, but I need some help in instructing my technical application support person to download/install this fix, so I can test it on our test wiki. I am a n00b to this part of the game :-)

Ah, right. If you're using Git, they just need to call "git pull origin master". Otherwise, they can download by clicking on "Clone or download", then "Download ZIP", here:

https://github.com/wikimedia/mediawiki-extensions-PageForms

PeterBodifee reopened this task as Open.Mar 9 2017, 3:46 PM

I had the latest version of Page Forms downloaded as instructed. I also had verified that the code changes are indeed on our test site but I see no change in behaviour. The site is accessible from the internet but username/password protected. I can grant you access, email me at pbodifee@bauhaus.nl. I will also point you to my specific test where you are free to play around. Thanks for the help!

I have a suspicion the person who downloaded the code didn't activate(?) it properly. If I look Special:Version, am I supposed to see a something like " 4.1. (xxxxxx) Mar 8, 2017 " in the version column. I only see "4.1."

No, that's not it. I don't think I have time right now, but I'll get in touch with you next week.

PeterBodifee closed this task as Resolved.Mar 14 2017, 8:25 PM

Thanks Yaron for your help. The suggested patch works!